- hosts: all
  gather_facts: yes
  remote_user: root

  tasks:
  - name: update apt-cache
    become: true
    apt:
      update_cache: yes
      cache_valid_time: 86400

  - name: apt install
    ansible.builtin.apt: 
      pkg:
        - python3-pip
        - python3-docker
      state: present
    become: true

  - name: docker run
    community.docker.docker_container:
      name: devops-example-app
      image: hexletcomponents/devops-example-app
      published_ports: 80:5000
      restart_policy: always
      restart: yes
      container_default_behavior: no_defaults
      env:
        SERVER_MESSAGE: "{{ ansible_default_ipv4.address }}"
